API 参考连接
创建连接
POST
/api/v1/connections认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
请求头参数
X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
请求体
application/json
TypeScript 类型定义
在 TypeScript 中使用 request body 类型。
响应体
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/connections" \ -H "Content-Type: application/json" \ -d '{ "config": { "url": "string" }, "name": "string", "type": "string" }'{ "auth": "none", "authorization_pending": true, "client_secret_configured": true, "config": { "headers": [], "oauth": { "client_id": "string", "grant_type": "authorization_code", "scopes": [], "token_endpoint_auth_method": "none" }, "tools": [ "string" ], "url": "string" }, "connector_provider_id": "string", "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "credential_configured": true, "enabled": true, "failure": { "code": "string", "operation_id": "string", "operation_kind": "setup", "reason": "rejected" }, "id": "string", "last_test": { "connection_version": 0, "message": "string", "status": "succeeded", "tested_at": "2019-08-24T14:15:22Z" }, "name": "string", "organization_id": "string", "status": "pending", "type": "string", "updated_at": "2019-08-24T14:15:22Z", "updated_by_id": "string", "version": 0, "workspace_id": "string"}